/*
 * MODE_Primitives.c
 *		User Primitive Code for MODE on Objectworks\Smalltalk R4
 *
 * Copyright (C) 1991, Stephen Travis Pope, Nomad Computer Music Research.
 *		All rights reserved.
 *
 *			V4.0: File created: 8/24/91--stp
 */
#include "userprim.h"					/* Basic ST80 UP header */
#include "MODE_Primitives.h"		/* Declarations of MODE UP fcns */

char *versionString =
	"Objectworks(r)\\Smalltalk Release 4 with MODE User Primtives. Nomad Computer Music Research. 1991. V1.0.";

char *resourceClassName = "St80"; /* class name used to look up X resources */


char*
UPinstall()
{
			/* MIDI Primitives */
	UPaddPrimitive(17000, MIDIopen, 0);
	UPaddPrimitive(17001, MIDIclose, 0);
	UPaddPrimitive(17002, MIDIplayAssociation, 1);
	UPaddPrimitive(17002, MIDIplayEventAt, 2);
	UPaddPrimitive(17002, MIDIplayBytes, 2);
	UPaddPrimitive(17002, MIDIgetStatus, 1);
	UPaddPrimitive(17002, MIDIsetStatus, 2);
	UPaddPrimitive(17002, MIDInextEvent, 1);
	UPaddPrimitive(17002, MIDInextBytes, 1);
	UPaddPrimitive(17002, MIDItest, 0);

			/* SampledSound Primitives */

			/* FloatSound Primitives */

			/* SPARC Audio Port Primitives */

			/* Ariel_ ProPort Primitives */

			/* Mix Driver Primitive */

	return "Validation User Primitives";
}
